#ifndef SOLDATO_H
#define SOLDATO_H


#define  ORDEM_DESCONHECIDO -1
#define	ORDEM_INATTIVO	0
#define	ORDEM_CROUCH	1
#define	ORDEM_STAND		2
#define	ORDEM_CRUSH		3

#define	ORDEM_RUN		4
#define	ORDEM_CRAWL		5
#define	ORDEM_PICKUP	6
#define	ORDEM_GETTARE	7
#define	ORDEM_AFFERRARE	8
#define  ORDEM_DROP 			9



class Soldato {
	protected:
        int id;
        int x,y;
        bool standing;
        int holding, antholding;
        int dazed;

	public:
		int  getId ();
		void setId (int id);

		void getPos (int *x, int *y);
		void setPos (int x, int y);
		
		bool getStand ();
		void setStand (bool stand);

		int  getHolding ();
		int  getHoldingNeveSolta ();
		int  getAntHolding ();
		void setHolding (int holding);

		int  getDazed ();
		void setDazed (int dazed);


		int isAttaccato ();		// Ele foi atinido
		int isAfferrare ();		// Ele pode pegar bolinhas
		int isGettare ();			// Ele pode atacar bolinhas
		int isGanhouBolinha ();	// Ele ganhou bolinha
		int isPickup ();			// Ele pode pegar neve solta
};


#endif
