#include "Const.h"
#include "Generale.h"
#include "Soldato.h"
#include "Conjunto.h"
#include "Controllabili.h"
#include <iostream>
#include <cmath>
#include <stdlib.h>
#include <time.h>

using namespace std;


// Livre retorna 0, Ataca retorna 1, Defende retorna -1
int Controllabili::EscolheAtacaOuDefende (){
	if ( decisao_jahcalc )
		return decisao;

	if ( id_atacar < 0  && id_defender < 0){
		decisao_jahcalc = 1;
		decisao = 0;
		return 0;
	}

	int mypower = getPoderAtaque();
	int res = 0;

//cerr << id << " Nego" << endl;
	// Apenas Atacar	
	if ( id_defender < 0 ){
		res = 1;
	
	// Apenas Defender
	} else if ( id_atacar < 0 ) {
		res = -1;

	// Considerar os Dois
	} else {
		int nem_gettare = gnrl->getNemico(id_defender)->isGettare();
		int nem_dist = gnrl->getNemicoDist(id_defender, this->x, this->y);

		res  = 1;	
		/*int mi_forca = getPoderAtaque();
		int nem_forca = nem_;
		int dif_forca = mi_forca - nem_forca;*/

		//if (nem_gettare && isAfferrare() ) return -1;
		// Nao tenho o Porque de me Defender -> Decidir se fica Livre ou Ataca
		if ( !nem_gettare || nem_dist > 24 || !isAfferrare()){		
			res = 1;

		// O Inimigo pode me atingir -> Decidir se Ataca ou Defende 
		} else {
			res = -2;
			if ( mypower < 3 )
				res = -2;
			else if ( mypower == 3 ){
				res = 2;
				if ( gnrl->getForcaAliada() < gnrl->getForcaInimiga() )
					res = -2;
				else if ( gnrl->getForcaAliada() == gnrl->getForcaInimiga() ){

					int porcedefesa;
					int peso = gnrl->getVarPeso();
					if ( pegoubolinha >= 0 )
						porcedefesa = 50 + pegoubolinha*10;
					else
						porcedefesa = 60 - pegoubolinha*10;
					porcedefesa = (porcedefesa<0)?5:porcedefesa;			
					if ( peso <= porcedefesa )
						res = -2;
					else
						res = 2;
				}
			}
		}
	}

	decisao_jahcalc = 1;
	decisao = res;
	return res;
}


void Controllabili::Calc_AttacaNemico (Conjunto *conjunto){
	int i, valor, dist, ataque, nX, nY;
	if ( dazed ){ 
		for (i=0; i<CCOUNT; i++)
			conjunto->setValor ( i, id, -1 );
	} else {
		for (i=0; i<CCOUNT; i++){
			gnrl->getNemico(i)->getPos (&nX, &nY);
			dist = gnrl->getNemicoDist(i, this->x, this->y);
			if ( dist != -1 ){ 
				// Fator da Distancia (50%)
				valor = 500 - dist * 16;
				valor = (valor > 500)?500:valor;
				valor = (valor < 0)?0:valor;

				// Fator do inimigo estar em Dazed (20%)
				int nem_dazed = gnrl->getNemico(i)->getDazed();
				if ( nem_dazed == 0 )
					valor += 100;
				else if ( nem_dazed < 3)
					valor += nem_dazed*100;

				// Fator do Poder de Fogo do Controllabili (30%)
				valor += getPoderAtaque () * 40;
/*cerr << valor << "(" << 500 - dist * 16 << ")(" << gnrl->getNemico(i)->getDazed() * 50 << ")(" << getPoderAtaque () * 40 << ")  ";*/

			} else
				valor = -1;
			conjunto->setValor ( i, id, valor );
		}
//cerr << endl;
	}
}


void Controllabili::Calc_DifesaNemico (Conjunto *conjunto){
	int i, nX, nY;
	int dist, valor, poder;
	for (i=0; i<CCOUNT; i++){
		gnrl->getNemico(i)->getPos (&nX, &nY); 
		dist = gnrl->getNemicoDist(i, this->x, this->y);
		poder = gnrl->getNemico(i)->isGettare();
		if ( dist != -1){// && gnrl->isNemicoAttac(this->id, i) ){ 
			// Fator da Distancia (50%)
			valor = 500 - dist * 16;
			valor = (valor > 500)?500:valor;
			valor = (valor < 0)?0:valor;

			
			// Penalidades
			if ( gnrl->getNemico(i)->getDazed() )
				valor = valor >> 1;
			else
				valor += poder * 100;			// Fator do Poder de Fogo do Inimigo (50%)

/*cerr << valor << "(" << 500 - dist * 16 << ")(" << poder * 60 << ")(" << gnrl->getNemico(i)->getDazed() << ")(" <<  !gnrl->getNemico(i)->isGettare() << ")  ";*/
	} else
			valor = -1;
		conjunto->setValor ( i, id, valor );
	}
//	cerr << endl;
}
