#include "Generale.h"
#include "Soldato.h"
#include "Conjunto.h"
#include "Controllabili.h"

/* Ordens Primitivas */
int Controllabili::idle (){
	endturn = TRUE;
	ordem.num = ORDEM_INATTIVO;
	return 1;
}


int Controllabili::crouch (){
	endturn = TRUE;
	ordem.num = ORDEM_CROUCH;
	return 1;
}


int Controllabili::stand (){
	endturn = TRUE;
	ordem.num = ORDEM_STAND;
	return 1;
}


int Controllabili::crush (){
	endturn = TRUE;
	ordem.num = ORDEM_CRUSH;
	return 1;
}


int Controllabili::run (int x, int y){
	endturn = TRUE;
	ajustar (&x,&y);
	ordem.num = ORDEM_RUN;
	ordem.x = x;
	ordem.y = y;
	gnrl->setGround( x, y,  GROUND_AMICO);
	if ( x == 2 || y == 2)
		gnrl->setGround( x>>1, y>>1,  GROUND_AMICO);
	return 3;
}


int Controllabili::crawl (int x, int y){
	endturn = TRUE;
	ajustar (&x,&y);
	ordem.num = ORDEM_CRAWL;
	ordem.x = x;
	ordem.y = y;
	gnrl->setGround( x, y,  GROUND_AMICO);
	return 3;
}


int Controllabili::pickup (int x, int y){
	endturn = TRUE;
	//ajustar (&x,&y);
	ordem.num = ORDEM_PICKUP;
	ordem.x = x;
	ordem.y = y;
	gnrl->setGround( x, y,  GROUND_AMICO);
	return 3;
}


int Controllabili::gettare (int x, int y){
	endturn = TRUE;
	ajustar (&x,&y);
	ordem.num = ORDEM_GETTARE;
	ordem.x = x;
	ordem.y = y;
	return 3;
}


int Controllabili::afferrare (int x, int y){
	endturn = TRUE;
	ajustar (&x,&y);
	ordem.num = ORDEM_AFFERRARE;
	ordem.x = x;
	ordem.y = y;
	return 3;
}


int Controllabili::drop (int x, int y){
	endturn = TRUE;
	ajustar (&x, &y);
	ordem.num = ORDEM_DROP;
	ordem.x = x;
	ordem.y = y;
	gnrl->setGround( x, y,  GROUND_AMICO);
	return 3;
}
