#include "Const.h"
#include "Soldato.h"
#include <iostream>

using namespace std;


int Soldato::getId (){
	return id;
}

void Soldato::setId (int id){
	this->id = id;
}

void Soldato::getPos (int *x, int *y){
	*x = this->x;
	*y = this->y;
}

void Soldato::setPos (int x, int y){
	this->x = x;
	this->y = y;
}
		
bool Soldato::getStand (){
	return standing;
}

void Soldato::setStand (bool stand){
	this->standing = standing;
}

int Soldato::getHolding (){
	return holding;
}

int Soldato::getHoldingNeveSolta (){
	if ( holding >= HOLD_P1 && holding <= HOLD_P3 )
		return holding;
	return 0;
}

int Soldato::getAntHolding (){
	return antholding;
}

void Soldato::setHolding (int holding){
	antholding = this->holding;
	this->holding = holding;
}

int Soldato::getDazed (){
	return dazed;
}

void Soldato::setDazed (int dazed){
	this->dazed = dazed;
}


int Soldato::isAttaccato (){
	return (dazed == 4);
}

int Soldato::isAfferrare (){
	return ( holding == HOLD_EMPTY || holding == HOLD_S1 || holding == HOLD_S2 );
}

int Soldato::isGettare (){
	return ( holding == HOLD_S1 || holding == HOLD_S2 || holding == HOLD_S3 );
}

int Soldato::isGanhouBolinha (){
	return ( antholding == HOLD_EMPTY && holding == HOLD_S1 ) || ( antholding == HOLD_S1 && holding == HOLD_S2 ) || ( antholding == HOLD_S2 && holding == HOLD_S3 );
}

int Soldato::isPickup (){
	return  holding == HOLD_EMPTY || ( holding >= HOLD_P1 && holding <= HOLD_P3 );
}

